use crate::{git::git_add, read_stdout};
use subprocess::Exec;

pub fn rust_pre_commit() {
    println!("Running cargo fmt");
    let e = Exec::cmd("cargo").arg("fmt").arg("--verbose");
    let out = read_stdout(e);

    for line in out.lines() {
        println!("line {line}");
        if line.starts_with("rustfmt") {
            let mut split: Vec<_> = line.split_whitespace().collect();
            split.reverse();
            split.pop();
            split.pop();
            split.pop();
            split.reverse();
            let file = split.join(" ");
            git_add(&file);
        }
    }
}
